Dxf 210 0 0 -1
good morningYou have found that there are patterned arches where if we read the codes with (entget (car (entsel)))
(210. 0.0 0.0 -1.0) and is a 2D drawing and item must be positive and negative i puts its incorrect angles
but this well drawn.
You know some routine for these arches are well contruidos (210 0.0 0.0 1.0) because it modified the arches are modified is not bad and if 2d 3d
thanks
Radios malos.dwg This is what I use: ( LINEs, CIRCLEs & ARCs only )
(defun c:fix00-1 (/ ss i en ed ce ra sa ea ia sp a1) (and (setq ss (ssget "X" '((0 . "CIRCLE,LINE")(210 0 0 -1)))) (setq i 0) (while (setq en (ssname ss i)) (setq ed (entget en) ed (subst (cons 10 (trans (cdr (assoc 10 ed)) en '(0 0 1))) (assoc 10 ed )ed) ed (subst '(210 0 0 1) '(210 0 0 -1) ed)) (entmod ed) (setq i (1+ i)))) (and (setq ss (ssget "X" '((0 . "ARC")(210 0 0 -1)))) (setq i 0) (while (setq en (ssname ss i)) (setq ed (entget en) ce (cdr (assoc 10 ed)) ra (cdr (assoc 40 ed)) sa (cdr (assoc 50 ed)) ea (cdr (assoc 51 ed)) ia (if (> sa ea) (+ (- (* 2 pi) sa) ea) (- ea sa)) sp (trans (polar ce sa ra) en '(0 0 1)) a1 (angle (trans ce en '(0 0 1)) sp) ed (subst (cons 10 (trans (cdr (assoc 10 ed)) en '(0 0 1))) (assoc 10 ed) ed) ed (subst '(210 0 0 1) '(210 0 0 -1) ed) ed (subst (cons 50 (- a1 ia)) (assoc 50 ed) ed) ed (subst (cons 51 a1) (assoc 51 ed) ed)) (entmod ed) (setq i (1+ i))))(prin1))
-David thank you very much David You're welcome.
页:
[1]